Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451036 - GFS2: kernel oops when installing
Summary: GFS2: kernel oops when installing
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 9
Hardware: powerpc
OS: Linux
low
low
Target Milestone: ---
Assignee: Steve Whitehouse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 14:56 UTC by Robert Story
Modified: 2008-11-20 15:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-20 15:59:30 UTC


Attachments (Terms of Use)

Description Robert Story 2008-06-12 14:56:13 UTC
Description of problem:
I booted up the f9 ppc boot.iso for a network install, and noticed sometime very
early on (maybe when vns was started because X couldn't be started) an opps on
the console.. I saved it to the disk during install for your viewing pleasure.

Version-Release number of selected component (if applicable):
kernel-2.6.25-14.fc9.ppc.rpm

How reproducible:
don't know.. i've only done one install so far..

Steps to Reproduce:
Not sure if any of this will reproduce, but this is what I was doing
1. boot ppc boot.iso on old hardware (powerbook g4 titanium)
2. X won't start, offers VNC. start vns
3. check console for oops message
  
Actual results:
device-mapper: multipath emc: version 0.0.3 loaded
Non-recoverable exception at PC=e1e5030c MSR=e1e5030c
Oops: nonrecoverable exception, sig: 9 [#1]
PowerMac
Modules linked in: sha256_generic aes_generic cbc dm_crypt crypto_blkcipher
dm_emc dm_round_robin dm_multipath dm_snapshot dm_mirror dm_zero dm_mod xfs jfs
reiserfs lock_nolock gfs2 msdos linear raid10 raid456 async_xor async_memcpy
async_tx xor raid1 raid0 ide_cd_mod cdrom airport orinoco hermes firewire_ohci
sungem sungem_phy firewire_core crc_itu_t ohci_hcd ipv6 iscsi_tcp libiscsi
scsi_transport_iscsi scsi_mod ext2 ext3 jbd ext4dev jbd2 mbcache crc16 squashfs
pcspkr loop nfs lockd nfs_acl sunrpc vfat fat cramfs
NIP: e1e5030c LR: e1e503ec CTR: c02ece10
REGS: dc297ef0 TRAP: 0900   Not tainted  (2.6.25-14.fc9.ppc)
MSR: e1e5030c <>  CR: 24000088  XER: 20000000
TASK = de6a6f80[1015] 'gfs2_scand' THREAD: dc296000
GPR00: 00000000 dc297fa0 de6a6f80 e1e51208 00000000 00008570 e04094fb 00000000
GPR08: 00000000 e1e81734 24000082 00000000 24000088 00000000 01794c64 017b8e40
GPR16: 01794fbc 017a6660 01833878 017b91b0 01794bc0 c00513e4 00000001 00000000
GPR24: df84bfac 00000000 00000001 c0437f40 e1e51208 00000000 00000000 0000215d
NIP [e1e5030c] examine_bucket+0x38/0xd4 [gfs2]
LR [e1e503ec] gfs2_scand+0x44/0x9c [gfs2]
Call Trace:
[dc297fa0] [e1e50388] examine_bucket+0xb4/0xd4 [gfs2] (unreliable)
[dc297fc0] [e1e503ec] gfs2_scand+0x44/0x9c [gfs2]
[dc297fe0] [c0051430] kthread+0x4c/0x88
[dc297ff0] [c0013820] kernel_thread+0x44/0x60
Instruction dump:
XXXXXXXX XXXXXXXX XXXXXXXX 392991c4 XXXXXXXX XXXXXXXX XXXXXXXX 7c9d2378
XXXXXXXX XXXXXXXX XXXXXXXX 8009000c XXXXXXXX XXXXXXXX XXXXXXXX 7c1f0378
---[ end trace 077fdeea267d57b6 ]---


Expected results:
no oops

Additional info:
install worked with no apparent effects..

Comment 1 Steve Whitehouse 2008-09-30 14:52:22 UTC
These is a plan to remove gfs2_scand eventually, but I'll take a look and see if I can tell why this is happening.

Comment 2 John Poelstra 2008-10-19 02:21:57 UTC
changing version to "9" as bug was reported against that version

Comment 3 Steve Whitehouse 2008-11-20 15:59:30 UTC
gfs2_scand is removed in a pending upstream patch. I've not seen any similar reports, and this is rather old, so please report a new bug if you come across this or something similar again.


Note You need to log in before you can comment on or make changes to this bug.